using System;
using System.Collections.Generic;
using System.Text;
using Brume;

namespace TestBrume
{
    abstract class Shoot : BrumeObject
    {
        

        public Shoot(Brume.Brume pBrume, string pName)
            : base(pBrume, pName)
        {
            _brume = pBrume;
            ShootsManager.AddShoot(this);
        }


        public virtual void Remove()
        {
            _brume.RemoveObject(this);
            ShootsManager.Remove(this);
        }

        Brume.Brume _brume;

    }
}
