using System;
using System.Collections.Generic;
using System.Text;
using Brume;

namespace TestBrume
{
    class MeshLoader
    {
            
        #region singleton
        private static MeshLoader singleton = null;

        public static MeshLoader GetInstance()
        {
            if (singleton == null)
                singleton = new MeshLoader();

            return singleton;
        }
        #endregion

        private Dictionary<string, BrumeMesh> _lstMeshs = new Dictionary<string, BrumeMesh>();

        public void Initialize(BrumeMesh pMesh)
        {
            _lstMeshs.Add(pMesh.name, pMesh);
        }


        public static BrumeMesh GetPreloadedMesh(string pName)
        {
            return MeshLoader.GetInstance()._lstMeshs[pName];
        }


    }
}
