using System;
using System.Collections.Generic;
using System.Text;
using TestBrume.Entities;

namespace TestBrume
{
    class EnnemiesManager
    {
        #region singleton
        private static EnnemiesManager singleton = null;

        public static EnnemiesManager GetInstance()
        {
            if (singleton == null)
                singleton = new EnnemiesManager();

            return singleton;
        }
        #endregion

        public static List<Ennemy> Ennemies
        {
            get { return GetInstance()._lstEnnemies; }
        }

        public static void AddEnnemies(Ennemy pEnnemy)
        {
            GetInstance()._lstEnnemies.Add(pEnnemy);
        }

        public static void Update(Brume.Brume pBrume, float pElapsedTime)
        {

            foreach (Ennemy ennemy in GetInstance()._lstEnnemies)
            {
            }

            // Remove ennemy to Remove
            foreach (Ennemy ennemy in GetInstance()._lstEnnemiesToRemove)
            {
                GetInstance()._lstEnnemies.Remove(ennemy);
            }


            GetInstance()._lstEnnemiesToRemove.Clear();

        }

        public static void Remove(Ennemy pEnnemy)
        {
            GetInstance()._lstEnnemiesToRemove.Add(pEnnemy);
        }


        List<Ennemy> _lstEnnemiesToRemove = new List<Ennemy>();
        List<Ennemy> _lstEnnemies = new List<Ennemy>();
    }
}
