using System;
using System.Collections.Generic;
using System.Text;
using Brume;

namespace TestBrume.Entities
{
    class Ennemy
    {
        public Ennemy(Brume.Brume pBrume)
        {
            _brume = pBrume;
            EnnemiesManager.AddEnnemies(this);
        }

        protected BrumeLightedObject _model = null;

        public float X
        {
            get { return _model.Pos.X; }
        }

        public float Y
        {
            get { return _model.Pos.Y; }
        }

        public float Z
        {
            get { return _model.Pos.Z; }
        }

        public BrumeVector Pos
        {
            get { return _model.Pos; }
        }


        public virtual void Remove()
        {
            _brume.RemoveObject(_model);
            EnnemiesManager.Remove(this);
        }


        Brume.Brume _brume;


    }
}
